get.refentry.source.name
Prev | Common » Refentry Metadata Template Reference | Next

## get.refentry.source.name

get.refentry.source.name — Gets source-name metadata for a refentry

## Synopsis

    <xsl:template name="get.refentry.source.name">
    <xsl:param name="refname"/>
    <xsl:param name="info"/>
    <xsl:param name="prefs"/>
      ...
    </xsl:template>

## Description

A "source name" is one part of a (potentially) two-part `Name` `Version` source field. For more details, see the documentation for the `get.refentry.source` template.

## Parameters

refname

  The first `refname` in the refentry

info

  A set of info nodes (from a `refentry` element and its ancestors)

prefs

  A node containing users preferences (from global stylesheet parameters)

## Returns

Depending on what output method is used for the current stylesheet, either returns a text node or possibly an element node, containing "source name" data.

Prev | Up | Next
get.refentry.source | Home | get.refentry.version